Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::gpu::GpuParameterSpace Struct Reference

parameter space and setters for GPU indexes More...

`#include <GpuAutoTune.h>`

Inheritance diagram for faiss::gpu::GpuParameterSpace:

## Public Member Functions
void | initialize (const faiss::Index *index) override
| initialize with reasonable parameters for the index
void | set_index_parameter (faiss::Index *index, const std::string &name, double val) const override
| set a combination of parameters on an index
Public Member Functions inherited from faiss::ParameterSpace
size_t | n_combinations () const
| nb of combinations, = product of values sizes
bool | combination_ge (size_t c1, size_t c2) const
| returns whether combinations c1 >= c2 in the tuple sense
std::string | combination_name (size_t cno) const
| get string representation of the combination
void | display () const
| print a description on stdout
ParameterRange & | add_range (const char *name)
| add a new parameter
void | set_index_parameters (Index *index, size_t cno) const
| set a combination of parameters on an index
void | set_index_parameters (Index *index, const char *param_string) const
| set a combination of parameters described by a string More...
void | update_bounds (size_t cno, const OperatingPoint &op, double *upper_bound_perf, double *lower_bound_t) const
void | explore (Index *index, size_t nq, const float *xq, const AutoTuneCriterion &crit, OperatingPoints *ops) const

## Additional Inherited Members
Public Attributes inherited from faiss::ParameterSpace
std::vector< ParameterRange > | parameter_ranges
| all tunable parameters
int | verbose
| verbosity during exploration
int | n_experiments
| nb of experiments during optimization (0 = try all combinations)
size_t | batchsize
| maximum number of queries to submit at a time.
bool | thread_over_batches
| use multithreading over batches (useful to benchmark independent single-searches)

## Detailed Description

parameter space and setters for GPU indexes

Definition at line 69 of file GpuAutoTune.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/gpu/GpuAutoTune.h
- /data/users/matthijs/github_faiss/faiss/gpu/GpuAutoTune.cpp